Tasks API Reference

Tasks

For authentication instructions, see API overview.

get

Retrieve tasks

Returns a single task, which you can request by passing through an id in the url.

Query parameters

  • limitinteger

    The number of records to return

  • pageinteger

    The page number

Request

cURL
export ICLOUDREADY_API_KEY=[your api key]
curl \
-H "Authorization: Bearer $ICLOUDREADY_API_KEY" \
https://api.icloud-ready.com/api/service/tasks/all

Response

No response schema
get

Retrieve tasks

Returns a single task, which you can request by passing through an id in the url.

Path parameters

  • idstring

    ID of the group

Query parameters

  • limitinteger

    The number of records to return

  • pageinteger

    The page number

Request

cURL
export ICLOUDREADY_API_KEY=[your api key]
curl \
-H "Authorization: Bearer $ICLOUDREADY_API_KEY" \
https://api.icloud-ready.com/api/service/tasks/group/:id

Response

No response schema
get

Retrieve tasks

Returns a single task, which you can request by passing through an id in the url.

Query parameters

  • searchstring

    Search query

  • limitinteger

    The number of records to return

  • pageinteger

    The page number

Request

cURL
export ICLOUDREADY_API_KEY=[your api key]
curl \
-H "Authorization: Bearer $ICLOUDREADY_API_KEY" \
https://api.icloud-ready.com/api/service/tasks/search

Response

No response schema
post

Create tasks custom

Create tasks custom. You need to pass through any required fields, and you can optionally pass through other fields.

Path parameters

  • idstring

    ID of the task

Request body

  • namestring
  • typestring
  • valuesarray
  • label1string
  • requiredboolean
  • visibleboolean
  • xPosnumber
  • yPosnumber
  • iconstring
  • placeholderstring

Request

cURL
export ICLOUDREADY_API_KEY=[your api key]
curl -X POST -H 'Content-Type: application/json' \
-H "Authorization: Bearer $ICLOUDREADY_API_KEY" \
https://api.icloud-ready.com/api/service/tasks/:id/customFiels \
-d 'name="field1"' \
-d 'type="type1"' \
-d 'values="array"' \
-d 'label1="label1"' \
-d 'required=true' \
-d 'visible=true' \
-d 'xPos=1' \
-d 'yPos=1' \
-d 'icon="icon1"' \
-d 'placeholder="placeholder1"'

Response

No response schema
post

Create tasks

Create tasks. You need to pass through any required fields, and you can optionally pass through other fields.

Request body

  • namestring
  • typestring
  • descriptionstring
  • dueTimestring
  • assignedToAccountstring
  • sourcestring
  • externalIdstring
  • parentIdstring

Request

cURL
export ICLOUDREADY_API_KEY=[your api key]
curl -X POST -H 'Content-Type: application/json' \
-H "Authorization: Bearer $ICLOUDREADY_API_KEY" \
https://api.icloud-ready.com/api/service/tasks/create \
-d 'name="task1"' \
-d 'type="type1"' \
-d 'description="test tasks"' \
-d 'dueTime="15/01/2023"' \
-d 'assignedToAccount="609a8f85c2834915d0a5a5e8"' \
-d 'source="string"' \
-d 'externalId="string"' \
-d 'parentId="string"'

Response

No response schema
get

Retrieve tasks

Returns a single task, which you can request by passing through an id in the url.

Path parameters

  • idstring

    ID of the type

Request

cURL
export ICLOUDREADY_API_KEY=[your api key]
curl \
-H "Authorization: Bearer $ICLOUDREADY_API_KEY" \
https://api.icloud-ready.com/api/service/tasks/type/:id

Response

No response schema
post

Create tasks remove

Create tasks remove. You need to pass through any required fields, and you can optionally pass through other fields.

Path parameters

  • idstring

    ID of the type

Request

cURL
export ICLOUDREADY_API_KEY=[your api key]
curl -X POST -H 'Content-Type: application/json' \
-H "Authorization: Bearer $ICLOUDREADY_API_KEY" \
https://api.icloud-ready.com/api/service/tasks/type/:id/removepriority

Response

No response schema
post

Create tasks add

Create tasks add. You need to pass through any required fields, and you can optionally pass through other fields.

Path parameters

  • idstring

    ID of the type

Request

cURL
export ICLOUDREADY_API_KEY=[your api key]
curl -X POST -H 'Content-Type: application/json' \
-H "Authorization: Bearer $ICLOUDREADY_API_KEY" \
https://api.icloud-ready.com/api/service/tasks/type/:id/addpriority

Response

No response schema
get

Retrieve tasks

Returns a single task, which you can request by passing through an id in the url.

Query parameters

  • limitinteger

    The number of records to return

  • pageinteger

    The page number

Request

cURL
export ICLOUDREADY_API_KEY=[your api key]
curl \
-H "Authorization: Bearer $ICLOUDREADY_API_KEY" \
https://api.icloud-ready.com/api/service/tasks/types

Response

No response schema
post

Create tasks types

Create tasks types. You need to pass through any required fields, and you can optionally pass through other fields.

Request

cURL
export ICLOUDREADY_API_KEY=[your api key]
curl -X POST -H 'Content-Type: application/json' \
-H "Authorization: Bearer $ICLOUDREADY_API_KEY" \
https://api.icloud-ready.com/api/service/tasks/types/create

Response

No response schema
put

Update tasks types

Path parameters

  • idstring

    ID of the type

Request

cURL
export ICLOUDREADY_API_KEY=[your api key]
curl -X PUT \
-H "Authorization: Bearer $ICLOUDREADY_API_KEY" \
https://api.icloud-ready.com/api/service/tasks/types/:id

Response

No response schema
delete

Delete tasks types

Path parameters

  • idstring

    ID of the type

Request

cURL
export ICLOUDREADY_API_KEY=[your api key]
curl -X DELETE \
-H "Authorization: Bearer $ICLOUDREADY_API_KEY" \
https://api.icloud-ready.com/api/service/tasks/types/:id

Response

No response schema
post

Create tasks priority

Create tasks priority. You need to pass through any required fields, and you can optionally pass through other fields.

Request body

  • namestring
  • htmlColorstring
  • overdueInnumber
  • defaultboolean
  • migrationNumnumber

Request

cURL
export ICLOUDREADY_API_KEY=[your api key]
curl -X POST -H 'Content-Type: application/json' \
-H "Authorization: Bearer $ICLOUDREADY_API_KEY" \
https://api.icloud-ready.com/api/service/tasks/priority/create \
-d 'name="High"' \
-d 'htmlColor="#FF5733"' \
-d 'overdueIn=1' \
-d 'default=true' \
-d 'migrationNum=1'

Response

No response schema
post

Create tasks priority

Create tasks priority. You need to pass through any required fields, and you can optionally pass through other fields.

Path parameters

  • idstring

    ID of the priority

Request

cURL
export ICLOUDREADY_API_KEY=[your api key]
curl -X POST -H 'Content-Type: application/json' \
-H "Authorization: Bearer $ICLOUDREADY_API_KEY" \
https://api.icloud-ready.com/api/service/tasks/priority/:id/delete

Response

No response schema
get

Retrieve tasks

Returns a single task, which you can request by passing through an id in the url.

Query parameters

  • limitinteger

    The number of records to return

  • pageinteger

    The page number

Request

cURL
export ICLOUDREADY_API_KEY=[your api key]
curl \
-H "Authorization: Bearer $ICLOUDREADY_API_KEY" \
https://api.icloud-ready.com/api/service/tasks/priorities

Response

No response schema
put

Update tasks priority

Path parameters

  • idstring

    ID of the priority

Request body

  • namestring
  • htmlColorstring
  • overdueInnumber
  • defaultboolean
  • migrationNumnumber

Request

cURL
export ICLOUDREADY_API_KEY=[your api key]
curl -X PUT \
-H "Authorization: Bearer $ICLOUDREADY_API_KEY" \
https://api.icloud-ready.com/api/service/tasks/priority/:id \
-d 'name="High"' \
-d 'htmlColor="#FF5733"' \
-d 'overdueIn=1' \
-d 'default=true' \
-d 'migrationNum=1'

Response

No response schema
get

Retrieve tasks

Returns a single task, which you can request by passing through an id in the url.

Query parameters

  • limitinteger

    The number of records to return

  • pageinteger

    The page number

Request

cURL
export ICLOUDREADY_API_KEY=[your api key]
curl \
-H "Authorization: Bearer $ICLOUDREADY_API_KEY" \
https://api.icloud-ready.com/api/service/tasks/overdue

Response

No response schema
post

Create tasks add

Create tasks add. You need to pass through any required fields, and you can optionally pass through other fields.

Request body

  • commentstring
  • ownerstring

    Account Id

  • _idstring

    task id

Request

cURL
export ICLOUDREADY_API_KEY=[your api key]
curl -X POST -H 'Content-Type: application/json' \
-H "Authorization: Bearer $ICLOUDREADY_API_KEY" \
https://api.icloud-ready.com/api/service/tasks/addcomment \
-d 'comment="comment1"' \
-d 'owner="mongoid"' \
-d '_id="mongoid"'

Response

No response schema
post

Create tasks add

Create tasks add. You need to pass through any required fields, and you can optionally pass through other fields.

Request body

  • notestring
  • ownerstring

    Account Id

  • _idstring

    task id

  • datestring

Request

cURL
export ICLOUDREADY_API_KEY=[your api key]
curl -X POST -H 'Content-Type: application/json' \
-H "Authorization: Bearer $ICLOUDREADY_API_KEY" \
https://api.icloud-ready.com/api/service/tasks/addnote \
-d 'note="note1"' \
-d 'owner="mongoid"' \
-d '_id="mongoid"' \
-d 'date="2023-04-19"'

Response

No response schema
get

Retrieve tasks

Returns a single task, which you can request by passing through an id in the url.

Query parameters

  • limitinteger

    The number of records to return

  • pageinteger

    The page number

Request

cURL
export ICLOUDREADY_API_KEY=[your api key]
curl \
-H "Authorization: Bearer $ICLOUDREADY_API_KEY" \
https://api.icloud-ready.com/api/service/tasks/tags

Response

No response schema
get

Retrieve tasks count tags

Returns a single tasks count tag, which you can request by passing through an id in the url.

Request

cURL
export ICLOUDREADY_API_KEY=[your api key]
curl \
-H "Authorization: Bearer $ICLOUDREADY_API_KEY" \
https://api.icloud-ready.com/api/service/tasks/count/tags/all

Response

No response schema
get

Retrieve tasks count tags

Returns a single tasks count tag, which you can request by passing through an id in the url.

Path parameters

  • timespanstring

    Timespan

Request

cURL
export ICLOUDREADY_API_KEY=[your api key]
curl \
-H "Authorization: Bearer $ICLOUDREADY_API_KEY" \
https://api.icloud-ready.com/api/service/tasks/count/tags/:timespan

Response

No response schema
get

Retrieve tasks count

Returns a single tasks coun, which you can request by passing through an id in the url.

Request

cURL
export ICLOUDREADY_API_KEY=[your api key]
curl \
-H "Authorization: Bearer $ICLOUDREADY_API_KEY" \
https://api.icloud-ready.com/api/service/tasks/count/days

Response

No response schema
get

Retrieve tasks count days

Returns a single tasks count day, which you can request by passing through an id in the url.

Path parameters

  • timespanstring

    Timespan

Request

cURL
export ICLOUDREADY_API_KEY=[your api key]
curl \
-H "Authorization: Bearer $ICLOUDREADY_API_KEY" \
https://api.icloud-ready.com/api/service/tasks/count/days/:timespan

Response

No response schema
get

Retrieve tasks count

Returns a single tasks coun, which you can request by passing through an id in the url.

Request

cURL
export ICLOUDREADY_API_KEY=[your api key]
curl \
-H "Authorization: Bearer $ICLOUDREADY_API_KEY" \
https://api.icloud-ready.com/api/service/tasks/count/topgroups

Response

No response schema
get

Retrieve tasks count topgroups

Returns a single tasks count topgroup, which you can request by passing through an id in the url.

Path parameters

  • topstring

    Top

Request

cURL
export ICLOUDREADY_API_KEY=[your api key]
curl \
-H "Authorization: Bearer $ICLOUDREADY_API_KEY" \
https://api.icloud-ready.com/api/service/tasks/count/topgroups/:top

Response

No response schema
get

Retrieve tasks count topgroups timespan

Returns a single tasks count topgroups timespa, which you can request by passing through an id in the url.

Path parameters

  • timespanstring

    Timespan

  • topstring

    Top

Request

cURL
export ICLOUDREADY_API_KEY=[your api key]
curl \
-H "Authorization: Bearer $ICLOUDREADY_API_KEY" \
https://api.icloud-ready.com/api/service/tasks/count/topgroups/:timespan/:top

Response

No response schema
get

Retrieve tasks count

Returns a single tasks coun, which you can request by passing through an id in the url.

Path parameters

  • idstring

    ID of the group

Request

cURL
export ICLOUDREADY_API_KEY=[your api key]
curl \
-H "Authorization: Bearer $ICLOUDREADY_API_KEY" \
https://api.icloud-ready.com/api/service/tasks/count/group/:id

Response

No response schema
get

Retrieve tasks

Returns a single task, which you can request by passing through an id in the url.

Request

cURL
export ICLOUDREADY_API_KEY=[your api key]
curl \
-H "Authorization: Bearer $ICLOUDREADY_API_KEY" \
https://api.icloud-ready.com/api/service/tasks/stats

Response

No response schema
get

Retrieve tasks stats

Returns a single tasks stat, which you can request by passing through an id in the url.

Path parameters

  • groupstring

    Group

Request

cURL
export ICLOUDREADY_API_KEY=[your api key]
curl \
-H "Authorization: Bearer $ICLOUDREADY_API_KEY" \
https://api.icloud-ready.com/api/service/tasks/stats/group/:group

Response

No response schema
get

Retrieve tasks stats

Returns a single tasks stat, which you can request by passing through an id in the url.

Path parameters

  • userstring

    User

Request

cURL
export ICLOUDREADY_API_KEY=[your api key]
curl \
-H "Authorization: Bearer $ICLOUDREADY_API_KEY" \
https://api.icloud-ready.com/api/service/tasks/stats/user/:user

Response

No response schema
get

Retrieve tasks stats

Returns a single tasks stat, which you can request by passing through an id in the url.

Path parameters

  • timespanstring

    Timespan

Request

cURL
export ICLOUDREADY_API_KEY=[your api key]
curl \
-H "Authorization: Bearer $ICLOUDREADY_API_KEY" \
https://api.icloud-ready.com/api/service/tasks/stats/:timespan

Response

No response schema
get

Retrieve tasks

Returns a single task, which you can request by passing through an id in the url.

Query parameters

  • limitinteger

    The number of records to return

  • pageinteger

    The page number

Request

cURL
export ICLOUDREADY_API_KEY=[your api key]
curl \
-H "Authorization: Bearer $ICLOUDREADY_API_KEY" \
https://api.icloud-ready.com/api/service/tasks/deleted

Response

No response schema
post

Create tasks deleted

Create tasks deleted. You need to pass through any required fields, and you can optionally pass through other fields.

Request

cURL
export ICLOUDREADY_API_KEY=[your api key]
curl -X POST -H 'Content-Type: application/json' \
-H "Authorization: Bearer $ICLOUDREADY_API_KEY" \
https://api.icloud-ready.com/api/service/tasks/deleted/restore

Response

No response schema
get

Retrieve tasks get by

Returns a single tasks get b, which you can request by passing through an id in the url.

Path parameters

  • uidstring

    ID of the task

Request

cURL
export ICLOUDREADY_API_KEY=[your api key]
curl \
-H "Authorization: Bearer $ICLOUDREADY_API_KEY" \
https://api.icloud-ready.com/api/service/tasks/:uid

Response

No response schema
put

Update tasks

Path parameters

  • idstring

    ID of the task

Request body

  • statusstring
  • notesarray

Request

cURL
export ICLOUDREADY_API_KEY=[your api key]
curl -X PUT \
-H "Authorization: Bearer $ICLOUDREADY_API_KEY" \
https://api.icloud-ready.com/api/service/tasks/:id \
-d 'status="active"' \
-d 'notes="array"'

Response

No response schema
delete

Delete tasks

Path parameters

  • idstring

    ID of the task

Request

cURL
export ICLOUDREADY_API_KEY=[your api key]
curl -X DELETE \
-H "Authorization: Bearer $ICLOUDREADY_API_KEY" \
https://api.icloud-ready.com/api/service/tasks/:id

Response

No response schema
put

Update tasks

Path parameters

  • idstring

    ID of the task

Request body

  • userstring

    user id

  • subscribeboolean

Request

cURL
export ICLOUDREADY_API_KEY=[your api key]
curl -X PUT \
-H "Authorization: Bearer $ICLOUDREADY_API_KEY" \
https://api.icloud-ready.com/api/service/tasks/:id/subscribe \
-d 'user="626c5d721acc7021bf672e91"' \
-d 'subscribe=true'

Response

No response schema
delete

Delete tasks remove

Path parameters

  • tidstring

    ID of the task

  • aidstring

    ID of the attachment

Request

cURL
export ICLOUDREADY_API_KEY=[your api key]
curl -X DELETE \
-H "Authorization: Bearer $ICLOUDREADY_API_KEY" \
https://api.icloud-ready.com/api/service/tasks/:tid/attachments/remove/:aid

Response

No response schema